#include <iostream>


int main()
{
    int a, b, c; // pocetni brojevi
    int a1, b1, c1; // prve cifre
    int brojevi[3]; // finalni brojevi
  
    do {
        // unosimo brojeve
        cout << "Unesite broj A:";
        std::cin >> a;
        cout << "Unesite broj B:";
        std::cin >> b;
        cout << "Unesite broj C:";
        std::cin >> c;
      
        // ako je neki negativan unosimo ponovo
        if (a < 1 || b < 1 || c < 1) {
            cout << "Uneli ste broj 0 ili negativan broj! Pokusajte ponovo!";
            cout << std::endl;
        }
    }
    while (a < 1 || b < 1 || c < 1);
    
    brojevi[0] = a;
    brojevi[1] = b;
    brojevi[2] = c;
  
    // izvlacimo prve cifre
    a1 = a;
    b1 = b;
    c1 = c;
    while (a1 >= 10) {
        a1 /= 10;
    }
    while (b1 >= 10) {
        b1 /= 10;
    }
    while (c1 >= 10) {
        c1 /= 10;
    }
  
    /*
    /* ispitujemo potrebne uslove
    */
    
    // sve prve cifre su jednake
    if (a1 == b1 && a1 == c1) {
        for (int i = 0; i < 3; i++) {
            for (int j = 0; j < 3; j++) {
                if (brojevi[i] > brojevi[j]) {
                    int pom = brojevi[i];
                    brojevi[i] = brojevi[j];
                    brojevi[j] = pom;
                }
            }
        }
    }
    // prva cifra broja A je najveca
    else if (a1 > b1 && a1 > c1) {
        brojevi[0] = a;
        if (b > c) {
            brojevi[1] = b;
            brojevi[2] = c;
        }
        else {
            brojevi[1] = c;
            brojevi[2] = b;
        }
    }
    // prva cifra broja B je najveca
    else if (b1 > a1 && b1 > c1) {
        brojevi[0] = b;
        if (a > c) {
            brojevi[1] = a;
            brojevi[2] = c;
        }
        else {
            brojevi[1] = c;
            brojevi[2] = a;
        }
    }
    // prva cifra broja C je najveca
    else if (c1 > a1 && c1 > b1) {
        brojevi[0] = c;
        if (a > b) {
            brojevi[1] = a;
            brojevi[2] = b;
        }
        else {
            brojevi[1] = b;
            brojevi[2] = a;
        }
    }

    // ispisujemo rezultat
    cout << "Najveci broj je: ";
    for (int i = 0; i < 3; i++) {
        cout << brojevi[i];
    }
  
    return 0;
}